Update gerrit to 2.14.6
Closed, ResolvedPublic

Description

Gerrit 2.14 has been released now and also 2.14.1 has been released with a ton of bug fixes over 70+ and now also 2.14.2 with other 90+ bug fixes including one big bug fix we need.

The release notes are at https://www.gerritcodereview.com/releases/2.14.md

https://www.gerritcodereview.com/releases/2.14.md#2.14.1

https://www.gerritcodereview.com/releases/2.14.md#2.14.2

https://www.gerritcodereview.com/releases/2.14.md#2.14.3

https://www.gerritcodereview.com/releases/2.14.md#2.14.4

https://www.gerritcodereview.com/releases/2.14.md#2.14.5

https://www.gerritcodereview.com/releases/2.14.md#2.14.5.1

https://www.gerritcodereview.com/releases/2.14.md#2.14.6

Main features / bug fixes:

  • You can get external id's through the rest api.
  • Requires java 8+ now.
  • Bouncy castle is no longer needed as a external dep. it is now installed into the war so no need to download it anymore.
  • Load external IDs from primary storage (ReviewDb). Fixes T152640 (partially, full fix will be in 2.16 / 3.0)
  • We will need to update our it's-phabricator plugin for this update see T156024 . This includes some important upgrades like introduction of closure compiler (soy) replacing velocity.
  • Also this release will support elasticsearch along side lucene. (this is experimental and does not yet work with elasticsearch 5.x+)
  • They have added support for soy template and deprecated the other template we use for our mail template in gerrit.
  • Emails are now sent in html format by default instead of the old default of plain text. (Though this can be disabled in your preference if you want).
  • ssh-eddsa is now supported which means a more securer code review server. https://gerrit-review.googlesource.com/#/c/100998/ (though there was a bug that actually prevented this from working, Fix was released upstream and is included in gerrit 2.15+)
  • The ability to delete your own changes (open or abandoned) if you have the permission to do so and for admins to delete any open or abandoned changes.
  • You can now create tags through the web ui like you can with branches.
  • You can now set a assignee for changes.

Related Objects

StatusAssignedTask
ResolvedTgr
ResolvedPaladox
Resolveddemon
ResolvedNone
ResolvedNone
ResolvedPaladox
ResolvedPaladox
ResolvedPaladox
OpenNone
Resolveddemon
ResolvedPaladox
DeclinedNone
ResolvedPaladox
ResolvedNone
OpenNone
Resolveddemon
ResolvedNone
ResolvedPaladox
ResolvedPaladox
Resolveddemon
OpenNone
Resolveddemon
There are a very large number of changes, so older changes are hidden. Show Older Changes

@hashar and @Volans ED25519 note that the key may be buggy in gerrit 2.14.1 see this bug, https://bugs.chromium.org/p/gerrit/issues/detail?id=6504 but depends on the client i think connecting to it. so on the mac it worked for me.

But luckily there's a fix upstream in apache mina sshd (they need to do a release for gerrit to be updated).

@Paladox FYI I'm still getting Invalid SSH Key when trying to add my key

@Volans yep, that will go when we upgrade. Tested on https://gerrit.git.wmflabs.org/r/ when adding ED25519 key.

Volans removed a subscriber: Volans.Jun 14 2017, 4:17 PM

@Peachey88 T168030 is parent to this task because the feature is in gerrit 2.14 (polygerrit (new ui)) (which means that we have to update to 2.14 to gain that feature.)

ed25519 key is now fixed in 1.6.0 which has just been released. I will see if i can get this back ported to 2.14.2. if not it will be in 2.15.

This comment was removed by Paladox.

2.14.2 will be released tomorrow. Will update the description tomorrow. :)

Paladox renamed this task from Update gerrit to 2.14.1 to Update gerrit to 2.14.2.Jul 19 2017, 1:20 AM
Paladox updated the task description. (Show Details)
Paladox updated the task description. (Show Details)Jul 19 2017, 1:24 AM

Upstream won't merge the sshd patch that includes the fix for edcsa so we will need to either cherry pick it when we build or wait until 2.15.

Paladox renamed this task from Update gerrit to 2.14.2 to Update gerrit to 2.14.3.Aug 24 2017, 2:02 AM
Paladox updated the task description. (Show Details)
Paladox updated the task description. (Show Details)Aug 24 2017, 2:40 PM
Paladox raised the priority of this task from Low to Normal.

Changing priority to match new task added.

Paladox renamed this task from Update gerrit to 2.14.3 to Update gerrit to 2.14.4.Sep 21 2017, 6:24 AM
Paladox updated the task description. (Show Details)

Gerrit 2.14 should be stable by now :).

there should now be less updates to 2.14 as 2.15 rc has been released.

Mentioned in SAL (#wikimedia-cloud) [2017-10-12T19:34:40Z] <paladox> preparing gerrit-test3 for the gerrit 2.14 update. testing 2.13 -> 2.14 update for T156120

Mentioned in SAL (#wikimedia-cloud) [2017-10-12T20:07:13Z] <paladox> gerrit-test3 systemd start gerrit 2.14 update completed successfully T156120

The 2.14 update succeeded again when migrating from 2.13 -> 2.14.

Paladox updated the task description. (Show Details)Oct 15 2017, 5:33 PM
Paladox renamed this task from Update gerrit to 2.14.4 to Update gerrit to 2.14.5.Oct 18 2017, 6:58 PM
Paladox updated the task description. (Show Details)
Paladox renamed this task from Update gerrit to 2.14.5 to Update gerrit to 2.14.5.1.Oct 19 2017, 11:18 AM
Paladox updated the task description. (Show Details)
Volans added a subscriber: Volans.Oct 25 2017, 5:15 PM
Paladox renamed this task from Update gerrit to 2.14.5.1 to Update gerrit to 2.14.6.Nov 27 2017, 3:44 PM
Paladox updated the task description. (Show Details)

Change 395820 had a related patch set uploaded (by Chad; owner: Chad):
[operations/software/gerrit@master] Gerrit 2.14.6

https://gerrit.wikimedia.org/r/395820

Paladox updated the task description. (Show Details)Jan 13 2018, 12:01 AM
Paladox renamed this task from Update gerrit to 2.14.6 to Update gerrit to 2.14.7.Jan 15 2018, 11:55 AM
Paladox updated the task description. (Show Details)

This can be done now :).

Zuul has been updated to include the fix (deployed to prod)

Paladox renamed this task from Update gerrit to 2.14.7 to Update gerrit to 2.14.6.
Paladox updated the task description. (Show Details)
D3r1ck01 added a subscriber: D3r1ck01.

Change 395820 merged by Chad:
[operations/software/gerrit@master] Gerrit 2.14.6

https://gerrit.wikimedia.org/r/395820

Paladox closed this task as Resolved.Feb 3 2018, 1:04 AM
Paladox assigned this task to demon.